from django.urls import path
from .import views
from .views import (
    BooksView, BooksDetailsView, 
    AuthorsView, AuthorsDetailsView
)

urlpatterns = [
    path('home/', views.home_view, name='home'),
    path('books/', BooksView.as_view(), name='books-list'),
    path('books/<int:pk>/details', BooksDetailsView.as_view(), name='book-details'),
    path('authors/', AuthorsView.as_view(), name='authors-list'),
    path('authors/<int:pk>/details', AuthorsDetailsView.as_view(), name='author-details'),
]

app_name = "bookshelf"