from django.shortcuts import render
from django.http import HttpResponse
from django.views import View
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView
from .models import Books, Author

def home_view(request):
    return render(request, 'bookshelf/home.html')

class BooksView(ListView):
    model = Books
    template_name = 'bookshelf/books.html'
    
class BooksDetailsView(DetailView):
    model = Books
    template_name = 'bookshelf/book_details.html'

class AuthorsView(ListView):
    model = Author
    template_name = 'bookshelf/authors.html'

class AuthorsDetailsView(DetailView):
    model = Author
    template_name = 'bookshelf/author_details.html'


